/***************************************************************************
                          menumanager.h  -  description
                             -------------------
    begin                : Tue Feb 29 2000
    copyright            : (C) 2000 by Michael Speck
    email                : 
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MENUMANAGER_H
#define MENUMANAGER_H


/**
  *@author Michael Speck
  */

#include "menu.h"

class MenuManager {
public:
	MenuManager(SDL_Surface *scr, SDLSurface *bkgnd, int cx, int cy, SDLFont *fnt, SDLFont *enlgt_fnt, int n, char *vck);
	~MenuManager();
	int InsertMenu(int i, Menu *m);
	Menu* CurMenu();
	void SetCurMenu(int i);
	int KeyEvent(SDL_KeyboardEvent *event);
	void Activate();
	void Begin();
	void End();
	void Prepare();
private:
	SDL_Surface	*screen;
	SDLSurface	*backgnd;
	SDLFont		*font;
	SDLFont		*enlgt_font;
	int			menu_num;
	int			x, y;
	Menu		**menus;
	Menu		*cur_menu;
	char		*val_ctrl_keys;
};

#endif
